Check owner of token

/v4/data/owners/address

50 credit per API call

Note for v3 API users:

As part of our documentation consolidation, we removed the dedicated page for GET /v3/data/owners/address. Users can refer to GET /v4/data/owners/address for the latest documentation, as both endpoints function the same—simply replace v4 with v3 in the API URL if using the v3 version.

Check if wallet address owns any specified token (ERC-20, ERC-721 or ERC-1155) on the following blockchains:

  • Ethereum - ethereum-mainnet / ethereum-sepolia / ethereum-holesky
  • Base - base-mainnet / base-sepolia
  • Arbitrum - arb-one-mainnet / arb-testnet
  • BNB (Binance) Smart Chain - bsc-mainnet / bsc-testnet
  • Polygon - polygon-mainnet
  • Optimism - optimism-mainnet / optimism-testnet
  • Berachain - berachain-mainnet
  • Unichain - unichain-mainnet / unichain-sepolia
  • Monad - monad-mainnet / monad-testnet
  • Celo - celo-mainnet / celo-testnet
  • Chiliz - chiliz-mainnet

To get started:

  • Provide a chain name, wallet address and address of any fungible token, NFT or multitoken collection. Our API will return true if provided wallet address owns them.
  • If wallet address does not own the specific token, response body is false and status code is 200.
  • It is also possible to check if wallet address owns a specific NFT by specifying a tokenId.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

The blockchain to work with.

string
required

The blockchain address of the wallet.

string
required

The blockchain address of the token (NFT collection or any fungible token).

string
length ≤ 78

The ID of a specific NFT token.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json